import { CodeEditor } from '@jupyterlab/codeeditor';
import { DataConnector } from '@jupyterlab/statedb';
import { CompletionHandler } from '@jupyterlab/completer';
import { NotebookPanel } from '@jupyterlab/notebook';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
/**
 * A custom connector for completion handlers.
 */
export declare class CustomConnector extends DataConnector<CompletionHandler.IReply, void, CompletionHandler.IRequest> {
    private _panel;
    private setting;
    /**
     * Create a new custom connector for completion requests.
     *
     * @param options - The instatiation options for the custom connector.
     */
    constructor(options: CustomConnector.IOptions, panel: NotebookPanel, setting: ISettingRegistry.ISettings);
    /**
     * Fetch completion requests.
     *
     * @param request - The completion request text and details.
     * @returns Completion reply
     */
    fetch(request: CompletionHandler.IRequest): Promise<CompletionHandler.IReply>;
    private _editor;
}
/**
 * A namespace for custom connector statics.
 */
export declare namespace CustomConnector {
    /**
     * The instantiation options for cell completion handlers.
     */
    interface IOptions {
        /**
         * The session used by the custom connector.
         */
        editor: CodeEditor.IEditor | null;
    }
}
